<!DOCTYPE html>
<html lang="fr_FR">
    <head>
        <meta charset="UTF-8">
        <title>{% block title %}Welcome!{% endblock %}</title>
        <link href="/favicon.ico?1669387866" type="image/x-icon" rel="icon"/><link href="{{ asset('build/images/re-favicon.ico') }}" type="image/x-icon" rel="shortcut icon"/>
        {% block stylesheets %}
            {{ encore_entry_link_tags('app') }}
        {% endblock %}

        {% block javascripts %}
            {{ encore_entry_script_tags('app') }}
            {% if debug == true %}
            <script>
                RefaeModal.debug = true;
            </script>
            {% endif %}
        {% endblock %}
    </head>
    <body>
        <div id="body-content"
            {% if not (app.request.attributes.get('_route') starts with 'public_') and menu_has_top(top.value) %}
             class="header-with-top-menu"
            {% endif %}
        >
            <div id="notifications-container"></div>
            {% block main_header %}
                <header>{{ include('header.html.twig') }}</header>
            {% endblock %}
            <div id="body-row">
                {% block main_side %}
                    {{ menu_build_side(side_menu ?? []) }}
                {% endblock %}
                {% block main_content %}
                    <div class="main-container">
                        <div class="main-content">
                            <h1 class="main-title">
                                <i class="{{ block('icon') }} fa-space" aria-hidden="true"></i>
                                {{ block('title') }}
                            </h1>
                            <ol class="breadcrumb">{{ block('breadcrumb') }}</ol>
                            {% for message in app.flashes('success') %}
                                <div class="alert alert-success">
                                    {{ message }}
                                </div>
                            {% endfor %}
                            {% for message in app.flashes('warning') %}
                                <div class="alert alert-warning">
                                    {{ message }}
                                </div>
                            {% endfor %}
                            {% for message in app.flashes('info') %}
                                <div class="alert alert-info">
                                    {{ message }}
                                </div>
                            {% endfor %}
                            {% for message in app.flashes('danger') %}
                                <div class="alert alert-danger">
                                    {{ message }}
                                </div>
                            {% endfor %}

                            {% block search %}
                                {% if search_form is defined %}
                                <div class="search-engine-container">
                                    {{ form_start(
                                        search_form,
                                        {'attr': {
                                            'class': 'search-engine-form dropdown',
                                            'aria-haspopup': 'true'
                                        }}
                                    ) }}
                                    {{ form_widget(search_form) }}
                                    <button type="submit" class="btn btn-primary hide">Hidden submit</button>
                                    {{ form_end(search_form) }}
                                    <div class="dropdown-menu"></div>
                                </div>
                                {% endif %}
                            {% endblock %}

                            {% block body %}{% endblock %}
                        </div>
                    </div>
                {% endblock %}
            </div>
            {% block footer %}
                {{ include('footer.html.twig') }}
            {% endblock %}
        </div>
        {{ include('modal.html.twig') }}
        <div id="template-configure-table" class="hidden">{{ include('table/modal.html.twig') }}</div>
        <script>
            RefaeSession.login_url = '{{ login_url }}';
            /* globals RefaeSession */
            {% if app.user %}
                RefaeSession.init(
                    {{ session_maxlifetime }},
                    '{{ url(
                        'public_user_session_check',
                        {username: app.user.username ?? null, tenant_url: app.request.get('tenant_url')}
                    )|raw|escape('js') }}'
                );
                RefaeNotify.init('{{ url('public_user_delete_notification')|raw|escape('js') }}');
                {{ mercure_callback([topic_notify], 'RefaeNotify.mercureCallback') }}

                {% if app.user.notificationsJson %}
                    RefaeNotify.instance.insert({{ app.user.notificationsJson|raw }});
                {% endif %}
            {% endif %}
        </script>
    </body>
</html>

{% block icon %}fa fa-list{% endblock %}
{% block breadcrumb %}<li class="active">Tableau de bord</li>{% endblock %}
{% block bottomScript %}{% endblock %}
